# Uses of Class
java.net.DatagramSocket

Packages that use DatagramSocket
Package
Description
java.net
Provides the classes for implementing networking applications.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
jdk.net
Platform specific socket options for the `java.net` and `java.nio.channels` socket classes.

## Uses of DatagramSocket in java.net

Subclasses of DatagramSocket in java.net
Modifier and Type
Class
Description
`class`
`MulticastSocket`
A `MulticastSocket` is a datagram socket that is convenient for sending and receiving IP multicast datagrams.
Methods in java.net that return DatagramSocket
Modifier and Type
Method
Description
`<T> DatagramSocket`
DatagramSocket.`setOption(SocketOption<T> name, T value)`
Sets the value of a socket option.

## Uses of DatagramSocket in java.nio.channels

Methods in java.nio.channels that return DatagramSocket
Modifier and Type
Method
Description
`abstract DatagramSocket`
DatagramChannel.`socket()`
Retrieves a datagram socket associated with this channel.

## Uses of DatagramSocket in jdk.net

Methods in jdk.net with parameters of type DatagramSocket
Modifier and Type
Method
Description
`static <T> T`
Sockets.`getOption(DatagramSocket s, SocketOption<T> name)`
Deprecated.
use `DatagramSocket.getOption(SocketOption)` instead.
`static <T> void`
Sockets.`setOption(DatagramSocket s, SocketOption<T> name, T value)`
Deprecated.
use `DatagramSocket.setOption(SocketOption, Object)` instead.